# GoogleChartLabelStyle Class Reference

Inheritance diagram for GoogleChartLabelStyle:
[legend]

List of all members.

## Public Member Functions

| addStyle ($style)
| hasStyles ()
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chm'

## Detailed Description

Definition at line 15 of file GoogleChartLabelStyle.class.php.

## Member Function Documentation

GoogleChartLabelStyle::addStyle | ( | $ | style | ) |

Returns:
  GoogleChartLineStyle

Reimplemented from BaseGoogleChartStyle.

Definition at line 30 of file GoogleChartLabelStyle.class.php.

References Assert::isInstance().

Here is the call graph for this function:

static GoogleChartLabelStyle::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLabelStyle

Definition at line 22 of file GoogleChartLabelStyle.class.php.

GoogleChartLabelStyle::hasStyles | ( |  | ) |

Reimplemented from BaseGoogleChartStyle.

Definition at line 37 of file GoogleChartLabelStyle.class.php.

GoogleChartLabelStyle::toString | ( |  | ) |

Implements Stringable.

Definition at line 42 of file GoogleChartLabelStyle.class.php.

References Assert::isNotEmptyArray().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartLabelStyle::$name = 'chm'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartLabelStyle.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLabelStyle.class.php